apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "600"
    nginx.ingress.kubernetes.io/proxy-send-timeout: "600"
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
    nginx.ingress.kubernetes.io/whitelist-source-range: 10.0.0.0/8,172.16.0.0/12,192.168.0.0/16,172.19.255.0/24,100.64.0.0/12
  labels:
    app.kubernetes.io/component: drupal
  name: drupal
  namespace: fornix
spec:
  ingressClassName: nginx
  rules:
    - host: drupal.hel1.oceanbox.io
      http:
        paths:
          - backend:
              service:
                name: drupal
                port:
                  number: 80
            path: /
            pathType: Prefix
  tls:
    - hosts:
        - drupal.hel1.oceanbox.io
      secretName: drupal-tls
